.tt_address_list {
	display: grid;
	grid-template-rows: 610px;
	grid-auto-rows: 610px;
	grid-template-columns: repeat(auto-fit, 301px);
	grid-gap: var(--hr-spacing-2) var(--vr-spacing-2);
}

.vcard {
	width: 301px;
	height: auto;
	min-height: 610px;
	max-width: 100%;
	background-color: var(--color-light-gray);
	border-bottom: 5px solid var(--color-light-blue);
	display: grid;
	grid-template:
		'image image image' 301px
		'. name .' var(--vr-spacing-4)
		'. hr .' 1px
		'. details .' auto
		/ var(--hr-spacing-1) auto var(--hr-spacing-1);
	row-gap: var(--vr-spacing-1);
}

[class~='frame'][class*='gray'] .vcard {
	background-color: var(--color-white);
}

.vcard__image {
	grid-area: image;
}

.vcard__name {
	grid-area: name;
	align-content: end;
}

.vcard__hr {
	grid-area: hr;
	background-color: var(--color-border);
}

.vcard__details {
	grid-area: details;
	display: grid;
	align-content: space-between;
	margin-bottom: var(--vr-spacing-1);
}

.vcard__position {
	font-size: var(--font-size-copytext-small);
	line-height: var(--line-height-copytext-small);
}

.vcard__role {
	font-weight: 600;
}

.vcard__contact {
	display: grid;
	grid-template:
		'contact-left contact-right' auto
		/ minmax(197px, auto) auto;
	column-gap: var(--hr-spacing-2);
	align-items: end;
}

.vcard__contact--stretch {
	grid-template: 'contact-left' auto / auto;
}

.vcard__contact-left {
	grid-area: contact-left;
	font-size: var(--font-size-captions);
	line-height: var(--line-height-captions);
	display: grid;
	align-content: end;
	gap: var(--vr-spacing-05);
}

.vcard__contact-right {
	grid-area: contact-right;
	font-size: var(--font-size-copytext-small);
	line-height: var(--line-height-copytext-small);
}

.vcard__organization,
.vcard__ellis {
	font-style: italic;
}

.vcard__email,
.vcard__phone,
.vcard__ellis-link {
	text-decoration: none;
}

.vcard__url {
	border: 2px solid var(--color-border);
	display: block;
	text-align: center;
	padding: 7px 6px;
	border-radius: 40px;
	width: 40px;
}

.vcard__url:hover {
	border-color: var(--color-light-blue);
}
